Linux.by
https://forum.linux.by/

Обновление php до 5.4 в centos 5.9
https://forum.linux.by/viewtopic.php?f=1&t=11731
Страница 1 из 1

Автор:  rizoma [ 28 апр 2013, 19:27 ]
Заголовок сообщения:  Обновление php до 5.4 в centos 5.9

Добрый день,

Пытаюсь обновить в centos 5.9 php до 5.4.x
Для этого необходимо установить репозиторий remi
Репозиторий установлен, но при обновлении пишет, что

Setting up Install Process
No package httpd available.
No package php available.
No package php-common available.

Что ещё может быть не сделано?

Пользуюсь материалами:
1. http://bit.ly/Pf9WiC - установка репозитория
2. http://bit.ly/bak0MQ - очистка репозитория
3. http://bit.ly/bHbv0O - установка php

Автор:  leave [ 29 апр 2013, 10:51 ]
Заголовок сообщения:  Re: Обновление php до 5.4 в centos 5.9

Код:
yum --enablerepo=remi,remi-test install httpd php php-common

Вы точно именно такой командой ставите?

Автор:  rizoma [ 29 апр 2013, 22:44 ]
Заголовок сообщения:  Re: Обновление php до 5.4 в centos 5.9

Пока тот же эффект...
Судя по многочисленным описаниям что-то с репозиториями..

когда делаю
rpm -qa | grep php
выдаёт

cpanel-php53-Net-Socket-1.0.10-2.cp1136
cpanel-php53-Log-1.12.7-2.cp1136
cpanel-php53-HTML-Template-IT-1.3.0-2.cp1136
cpanel-php53-zendopt-5.5.0-1.cp1136
cpanel-php53-Structures-Graph-1.0.4-2.cp1136
cpanel-php53-ioncube-4.2.2-1.cp1136
cpanel-php53-PEAR-Command-Packaging-0.3.0-2.cp1136
cpanel-php53-Console-Getopt-1.3.1-2.cp1136
cpanel-php53-Net-SMTP-1.6.1-2.cp1136
cpanel-php53-Auth-SASL-1.0.6-2.cp1136
cpanel-php53-HTTP-1.4.1-2.cp1136
cpanel-php53-XML-Util-1.2.1-2.cp1136
cpanel-php53-Net-URL-1.0.15-2.cp1136
cpanel-php53-File-1.4.1-2.cp1136
cpanel-php53-Mail-1.2.0-2.cp1136
cpanel-php53-Date-1.4.7-2.cp1136
cpanel-php53-Mail-Mime-1.8.3-2.cp1136
cpanel-php53-5.3.17-5.cp1136
cpanel-php53-Archive-Tar-1.3.10-2.cp1136
cpanel-php53-DB-1.7.14-2.cp1136
cpanel-php53-XML-RPC-1.5.5-2.cp1136
cpanel-php53-PEAR-1.9.4-2.cp1136
cpanel-php53-XML-Parser-1.3.4-2.cp1136
cpanel-php53-sourceguardian-8.2-1.cp1136
cpanel-php53-HTTP-Request-1.4.4-2.cp1136
cpanel-php53-Net-UserAgent-Detect-2.5.2-2.cp1136
cpanel-php53-SOAP-0.13.0-1.cp1136

как понимаю, это не совсем то, что нужно... или ошибаюсь?

yum search php
тоже самое ...
cpanel-php53.x86_64 : PHP scripting language for creating dynamic web sites
cpanel-php53-Archive-Tar.noarch : PEAR: Tar file management class
cpanel-php53-Auth-SASL.noarch : PEAR: Abstraction of various SASL mechanism responses
cpanel-php53-Console-Getopt.noarch : PEAR: Command-line option parser
cpanel-php53-DB.noarch : PEAR: Database Abstraction Layer
cpanel-php53-Date.noarch : PEAR: Generic date/time handling class for PEAR
cpanel-php53-File.noarch : PEAR: Common file and directory routines
cpanel-php53-HTML-Template-IT.noarch : PEAR: Integrated Templates
cpanel-php53-HTTP.noarch : PEAR: Miscellaneous HTTP utilities
cpanel-php53-HTTP-Request.noarch : PEAR: Provides an easy way to perform HTTP requests
cpanel-php53-Log.noarch : PEAR: Logging Framework
cpanel-php53-Mail.noarch : PEAR: Class that provides multiple interfaces for sending emails
cpanel-php53-Mail-Mime.noarch : PEAR: Mail_Mime provides classes to create MIME messages
cpanel-php53-Net-SMTP.noarch : PEAR: An implementation of the SMTP protocol

....

Автор:  leave [ 30 апр 2013, 00:45 ]
Заголовок сообщения:  Re: Обновление php до 5.4 в centos 5.9

У вас уже стоит сипанель? Тогда через нее и ставьте php.

Страница 1 из 1 Часовой пояс: UTC + 3 часа
Powered by phpBB® Forum Software © phpBB Group
https://www.phpbb.com/